<form [formGroup]="loginForm" novalidate (ngSubmit)="login()">
  <mat-card class="shipping-card col-md-4 d-flex flex-column justify-content-center align-items-center">
    <mat-card-header>
      <mat-card-title>s'authentifier</mat-card-title>
    </mat-card-header>
    <mat-card-content>
      <div class="row align-self-stretch">
        <div class="col">
          <mat-form-field appearance="outline">
            <mat-label>Outline form field</mat-label>
            <input formControlName='mail' matInput placeholder="Placeholder">
            <mat-icon matSuffix>alternate_email</mat-icon>
            <mat-error *ngIf="loginForm.get('mail').invalid">
              Email is <strong>required</strong>
            </mat-error>
          </mat-form-field>
        </div>
      </div>
      <div class="row align-self-stretch">
        <div class="col">
          <mat-form-field appearance="fill">
            <mat-label>Enter your password</mat-label>
            <input formControlName='password' matInput [type]="hide ? 'password' : 'text'"
              [errorStateMatcher]="matcher">
            <button mat-icon-button matSuffix (click)="hide = !hide" [attr.aria-label]="'Hide password'"
              [attr.aria-pressed]="hide">
              <mat-icon>{{hide ? 'visibility_off' : 'visibility'}}</mat-icon>
            </button>
            <mat-error *ngIf="loginForm.get('password').invalid">
              error <strong>{{'error'}}</strong>
            </mat-error>
          </mat-form-field>
        </div>
      </div>


    </mat-card-content>
    <mat-card-actions>
      <button mat-raised-button color="primary" [disabled]='loginForm.invalid' type="submit">Submit</button>
    </mat-card-actions>
  </mat-card>
</form>